diff -crN buildroot-2013.08.1/board/ckb/common/cmj100-module-old/linux-3.8.x/wlcore/cmd.c buildroot-2013.08.1/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/cmd.c
*** buildroot-2013.08.1/board/ckb/common/cmj100-module-old/linux-3.8.x/wlcore/cmd.c	2014-05-09 09:33:51.000000000 +0900
--- buildroot-2013.08.1/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/cmd.c	2015-09-08 10:36:14.327824000 +0900
***************
*** 60,68 ****
  	u16 status;
  	u16 poll_count = 0;
  
  	if (WARN_ON(unlikely(wl->state == WLCORE_STATE_RESTARTING)))
  		return -EIO;
! 
  	cmd = buf;
  	cmd->id = cpu_to_le16(id);
  	cmd->status = 0;
--- 60,73 ----
  	u16 status;
  	u16 poll_count = 0;
  
+ 	/* not needed; removed */
+ #if 0
  	if (WARN_ON(unlikely(wl->state == WLCORE_STATE_RESTARTING)))
  		return -EIO;
! #else
! 	if (unlikely(wl->state == WLCORE_STATE_RESTARTING))
! 		return -EIO;
! #endif
  	cmd = buf;
  	cmd->id = cpu_to_le16(id);
  	cmd->status = 0;
***************
*** 90,96 ****
  
  	while (!(intr & WL1271_ACX_INTR_CMD_COMPLETE)) {
  		if (time_after(jiffies, timeout)) {
! 			wl1271_error("command complete timeout");
  			ret = -ETIMEDOUT;
  			goto fail;
  		}
--- 95,101 ----
  
  	while (!(intr & WL1271_ACX_INTR_CMD_COMPLETE)) {
  		if (time_after(jiffies, timeout)) {
! 			wl1271_info("command complete timeout");
  			ret = -ETIMEDOUT;
  			goto fail;
  		}
diff -crN buildroot-2013.08.1/board/ckb/common/cmj100-module-old/linux-3.8.x/wlcore/main.c buildroot-2013.08.1/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/main.c
*** buildroot-2013.08.1/board/ckb/common/cmj100-module-old/linux-3.8.x/wlcore/main.c	2014-05-12 10:11:40.000000000 +0900
--- buildroot-2013.08.1/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/main.c	2015-09-08 10:36:23.544351000 +0900
***************
*** 746,752 ****
  
  void wl12xx_queue_recovery_work(struct wl1271 *wl)
  {
! 	WARN_ON(!test_bit(WL1271_FLAG_INTENDED_FW_RECOVERY, &wl->flags));
  
  	/* Avoid a recursive recovery */
  	if (wl->state == WLCORE_STATE_ON) {
--- 746,753 ----
  
  void wl12xx_queue_recovery_work(struct wl1271 *wl)
  {
! 	/* not needed; removed */
! 	// WARN_ON(!test_bit(WL1271_FLAG_INTENDED_FW_RECOVERY, &wl->flags));
  
  	/* Avoid a recursive recovery */
  	if (wl->state == WLCORE_STATE_ON) {
diff -crN buildroot-2013.08.1/board/ckb/common/cmj100-module-old/linux-3.8.x/wlcore/tx.c buildroot-2013.08.1/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/tx.c
*** buildroot-2013.08.1/board/ckb/common/cmj100-module-old/linux-3.8.x/wlcore/tx.c	2013-09-19 14:23:07.000000000 +0900
--- buildroot-2013.08.1/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/tx.c	2015-09-08 10:38:19.587989000 +0900
***************
*** 351,362 ****
  	bool is_gem = false;
  
  	if (!skb) {
! 		wl1271_error("discarding null skb");
  		return -EINVAL;
  	}
  
  	if (hlid == WL12XX_INVALID_LINK_ID) {
! 		wl1271_error("invalid hlid. dropping skb 0x%p", skb);
  		return -EINVAL;
  	}
  
--- 351,362 ----
  	bool is_gem = false;
  
  	if (!skb) {
! 		wl1271_info("discarding null skb");
  		return -EINVAL;
  	}
  
  	if (hlid == WL12XX_INVALID_LINK_ID) {
! 		wl1271_info("invalid hlid. dropping skb 0x%p", skb);
  		return -EINVAL;
  	}
  
